# Les dictionnaires

## Un dictionnaire ?

Un dictionnaire est un fichier XML donc la structure est décrite dans cette documentation.

Un dictionnaire contient en ensemble de variable chargé dans Tiramisu, utilisable à tout moment, notamment dans des templates.

Les familles, les variables et les contraintes peuvent être défini dans plusieurs dictionnaires. Ces dictionnaires s'aggrège alors.

Il est également possible de redéfinir des éléments pour changer les comportement d'une variable ou d'un service.

## L'espace de nom par défaut

L'espace de nom par défaut s'appelle "rougail" ([ce nom est personnalisable](../dev/config.md)).

Cet espace de nom est un peu particulier :

- le nom des variables et des familles doivent être unique pour l'ensemble de cet espace (même si ces variables ou familles sont dans des familles différentes)
- la valeur d'un cible, source, leader ou follower des contraintes peuvent être avec nom de la variable ou de la famille ou leurs chemins complet
- on peut déclarer des services dans cet espace de nom
- dans un template on peut utiliser cette variable sans le chemin complet (%%my_variable) ou avec (%%rougail.my_family.my_variable)
