# Famille crée dynamiquement

Pour créer une famille dynamiquement, il faut créer une famille fictive lié à une variable.
Le nom et la description de la famille et des variables qu'elle contient sera en réalité le prefix du nouveau nom/description. Le suffix viendra de la variable liée.

Par exemple :

```
<variable name='varname' multi="True">
    <value>val1</value>
    <value>val2</value>
</variable>
<family name="my_dyn_family_" dynamic="varname" description="Describe ">
    <variable name="my_dyn_var_"/>
</family>
```

Créera deux familles :

- la famille dynamique : "my_dyn_family_val1" avec la description "Describe val1"
- la famille dynamique : "my_dyn_family_val2" avec la description "Describe val2"

Dans la famille dynamique "my_dyn_family_val1" on retrouvera une variable "my_dyn_var_val1".

Bien évidement si le contenu de "varname" venait a évolué, de nouvelles familles dynamiques pouvent apparaitre ou des familles dynamiques peuvent disparaître.

Attention la variable lié à la famille doit être obligatoirement une variable multiple et il n'est pas possible de mettre une famille dans une famille dynamique.
