# Override

## La balise override

La gestion des overrides se fait dans un conteneur de [service](service.md).

La balise override permet de redéfinir facilement un service systemd.

Il suffit d'avoir un template dont le nom est par défaut le nom du service avec l'extension "service" et de déclarer la balise :

```
<services>
    <service name="squid">
        <override/>
    </service>
</services>
```

Dans cette exemple, le template associé doit s'appeler squid.service

Si le fichier service a un nom différent (par exemple si plusieurs template se retrouve avec le même nom), il est possible de changer le nom du template avec l'attribut source :

```
<override source="test.service"/>
```

Dans ce cas le fichier de destination aura le même nom.

## Choix du moteur de templating

Par défaut, le moteur de templating est le moteur de templating compatible avec "creole".

Aujourd'hui il est possible de désactiver la templatisation du fichier (il sera alors uniquement copié) :

```
<override templating="none"/>
```
